using UnityEngine;

//i just used fleasy's code and changed smth ok
namespace Mod
{
	public class Mod
	{
		public static void Main()
		{			
			 ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "+AK74",
					NameToOrderByOverride = "A",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("ak74/icon.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AKSlide = Instance.transform.Find("Slide");
                        AKSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ak74/bolt.png", 3.5f);
						//Was originally gonna just modify the sprites so that they would look normal but this will do
						AKSlide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ak74/part.png", 3.5f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						//Why the hell wasn't this even here?
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.7f;
						
						customCartridge.StartSpeed *= 1.5f;
						
						customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
						
						customCartridge.Recoil *= 0.7f;
						
						customCartridge.ImpactForce *= 1;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ak74/ak74.png", 3.5f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

						firearm.ShotSounds = new AudioClip[]
						{
							ModAPI.LoadSound("ak74/fired.mp3"),

						}
						;Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5800f, 0.1400f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "+AKM",
					NameToOrderByOverride = "A",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("akm/icon.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AKSlide_2 = Instance.transform.Find("Slide");
                        AKSlide_2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akm/bolt.png", 3.5f);
						//Was originally gonna just modify the sprites so that they would look normal but this will do
						AKSlide_2.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akm/part.png", 3.5f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						//Why the hell wasn't this even here?
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.7f;
						
						customCartridge.StartSpeed *= 1.5f;
						
						customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
						
						customCartridge.Recoil *= 0.7f;
						
						customCartridge.ImpactForce *= 1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("akm/akm.png", 3.5f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

						firearm.ShotSounds = new AudioClip[]
						{
							ModAPI.LoadSound("akm/fired.mp3"),

						}
						;Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5800f, 0.1400f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "+AKMS",
					NameToOrderByOverride = "A",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("akms/icon.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AKMSlide_2 = Instance.transform.Find("Slide");
                        AKMSlide_2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akms/bolt.png", 3.5f);
						//Was originally gonna just modify the sprites so that they would look normal but this will do
						AKMSlide_2.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("akms/part.png", 3.5f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						//Why the hell wasn't this even here?
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.7f;
						
						customCartridge.StartSpeed *= 1.5f;
						
						customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
						
						customCartridge.Recoil *= 0.7f;
						
						customCartridge.ImpactForce *= 1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("akms/akms.png", 3.5f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

						firearm.ShotSounds = new AudioClip[]
						{
							ModAPI.LoadSound("akms/fired.mp3"),

						}
						;Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5800f, 0.1400f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "+RPD",
					NameToOrderByOverride = "A",
					DescriptionOverride = "ak but buff",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("rpd/icon.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var RPDSlide = Instance.transform.Find("Slide");
                        RPDSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rpd/bolt.png", 2.5f);
						//Was originally gonna just modify the sprites so that they would look normal but this will do
						RPDSlide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rpd/part.png", 2.5f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						//Why the hell wasn't this even here?
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.7f;
						
						customCartridge.StartSpeed *= 1.5f;
						
						customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
						
						customCartridge.Recoil *= 0.7f;
						
						customCartridge.ImpactForce *= 1f;
						
						firearm.casingPosition = new Vector3(-0.0600f,0.2900f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("rpd/rpd.png", 2.5f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

						firearm.ShotSounds = new AudioClip[]
						{
							ModAPI.LoadSound("rpd/fired.mp3"),

						}
						;Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.8000f, 0.3200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "+SVD",
					NameToOrderByOverride = "A",
					DescriptionOverride = "svd",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("svd/icon.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var SVDSlide = Instance.transform.Find("Slide");
                        SVDSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("svd/bolt.png", 3.5f);
						//Was originally gonna just modify the sprites so that they would look normal but this will do
						SVDSlide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("svd/part.png", 3.5f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						//Why the hell wasn't this even here?
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 1.1f;
						
						customCartridge.StartSpeed *= 1.5f;
						
						customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
						
						customCartridge.Recoil *= 0.7f;
						
						customCartridge.ImpactForce *= 1f;
						
						firearm.casingPosition = new Vector3(-0.100f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("svd/svd.png", 3.5f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

						firearm.ShotSounds = new AudioClip[]
						{
							ModAPI.LoadSound("svd/fired.mp3"),

						}
						;Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5000f, 0.0400f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
			        }
                }
            );
			
			
			
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "+AK47",
					NameToOrderByOverride = "A",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("ak47/icon.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AKSlide_3 = Instance.transform.Find("Slide");
                        AKSlide_3.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ak47/bolt.png", 3.5f);
						//Was originally gonna just modify the sprites so that they would look normal but this will do
						AKSlide_3.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ak47/part.png", 3.5f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						//Why the hell wasn't this even here?
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.7f;
						
						customCartridge.StartSpeed *= 1.5f;
						
						customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
						
						customCartridge.Recoil *= 0.7f;
						
						customCartridge.ImpactForce *= 1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ak47/ak47.png", 3.5f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

						
						;Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5800f, 0.1400f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "+SKS",
					NameToOrderByOverride = "A",
					DescriptionOverride = "sks",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("sks/icon.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var SKSSlide = Instance.transform.Find("Slide");
                        SKSSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sks/bolt.png", 3.5f);
						//Was originally gonna just modify the sprites so that they would look normal but this will do
						SKSSlide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sks/sks.png", 3.5f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						//Why the hell wasn't this even here?
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.7f;
						
						customCartridge.StartSpeed *= 1.5f;
						
						customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
						
						customCartridge.Recoil *= 1f;
						
						customCartridge.ImpactForce *= 0.7f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sks/sks.png", 3.5f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

						firearm.ShotSounds = new AudioClip[]
						{
							ModAPI.LoadSound("sks/fired.mp3"),

						}
						;Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.0700f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "+PPSH-41",
					NameToOrderByOverride = "A",
					DescriptionOverride = "russian submachine gun",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("ppsh/icon.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var PPSHSlide = Instance.transform.Find("Slide");
                        PPSHSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ppsh/bolt.png", 3.5f);
						//Was originally gonna just modify the sprites so that they would look normal but this will do
						PPSHSlide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ppsh/part.png", 3.5f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						//Why the hell wasn't this even here?
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.7f;
						
						customCartridge.StartSpeed *= 1.5f;
						
						customCartridge.PenetrationRandomAngleMultiplier *= 0.5f;
						
						customCartridge.Recoil *= 0.7f;
						
						customCartridge.ImpactForce *= 0.4f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("ppsh/ppsh.png", 3.5f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						firearm.ShotSounds = new AudioClip[]
						{
							ModAPI.LoadSound("ppsh/fired.mp3"),

						}

						;Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.600f, 0.1000f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.08f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
			        }
                }
            );
		}	
    }
}